Summary: An automated Java build system
Name: autoj
Version: 20030308
Release: 0
Epoch: 0
Source0: %{name}-%{version}.tar.gz
License: GPL
Group: Development/Tools
BuildRoot: %{_builddir}/%{name}-root
BuildArchitectures: noarch
Packager: Daniel Tschan <tschan+rpm@devzone.ch>
URL: http://autoj.sourceforge.net/
Requires: autoconf, automake

%description
autoj is an automated build system for Java based on autoconf, make, bash and some other GNU tools.

The current version automatically performs the following tasks:

    * Adapts the package to the current system configuration (e.g. selects a Java compiler)
    * Sets the CLASSPATH
    * Compiles all Java classes
    * Compiles all JFlex scanners
    * Compiles all CUP parsers

Additionally the following make targets are available:

    * clean: Removes all intermediate and binary files
    * lib: Downloads all dependencies (.jar files)
    * javadoc: Creates the JavaDoc Documentation
    * cvscheck: Checks if the current cvs version can be compiled
    * jar: Creates a jar file of the project
    * dist: Creates a distribution tarball including all dependencies

autoj also contains a bash script that sets the correct CLASSPATH and allows to start a project by
specifying an unqualified or partially qualified class name.

%prep
%setup -q

%build
./configure --prefix=/usr
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%attr(0755,root,root) /usr/bin/autoj
/usr/share/autoj/Makefile.in
/usr/share/autoj/acinclude.m4
/usr/share/autoj/classpath.in
/usr/share/autoj/configure.in
/usr/share/autoj/run.in
/usr/share/autoj/m4/ac_check_class.m4
/usr/share/autoj/m4/ac_check_classpath.m4
/usr/share/autoj/m4/ac_check_junit.m4
/usr/share/autoj/m4/ac_check_rqrd_class.m4
/usr/share/autoj/m4/ac_java_options.m4
/usr/share/autoj/m4/ac_prog_jar.m4
/usr/share/autoj/m4/ac_prog_java.m4
/usr/share/autoj/m4/ac_prog_java_works.m4
/usr/share/autoj/m4/ac_prog_javac.m4
/usr/share/autoj/m4/ac_prog_javac_works.m4
/usr/share/autoj/m4/ac_prog_javadoc.m4
/usr/share/autoj/m4/ac_prog_javah.m4
/usr/share/autoj/m4/ac_try_compile_java.m4
/usr/share/autoj/m4/ac_try_run_javac.m4
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README THANKS TODO
%doc /usr/man/*/*
%doc /usr/info/*
